#![allow(clippy::unwrap_used, clippy::expect_used)]

use logical_expressions::LogicalExpression;

fn main() {
    let expression: LogicalExpression<String> = LogicalExpression::parse("a & (b | c)").unwrap();
    let expanded = expression.expand();
    println!("{expanded:?}");
}
